MacMost Q&A Forum • View All Forum QuestionsAsk a Question

Photoshop Problems With Mojave

I have an older version of Photoshop (5). It worked ok in High Sierra but not Mojave, any answers?

—–
Jack B

Comments: One Response to “Photoshop Problems With Mojave”

    11 months ago

    I would ask on an Adobe forum. But isn’t Photoshop 5 very very old? According to Wikipedia, it is from 1998! I don’t think it would work at all in High Sierra. Maybe you mean CS5? That’s from 2010.

    Either way, you should probably update. Or, if you don’t want to update because of the cost, then at least look to switch to an app that fits your budget. I have a list of them right here: Mac Photoshop Alternatives. I’ve been using Acorn and Pixelmator a lot myself.

Comments Closed.